#import "BlinkView.h"

@implementation BlinkView

- (id) init
{
  NSTimer *aTimer;

  self = [super initWithFrame: NSMakeRect(0,0,400,400)];

  shouldDrawRectangle = YES;
  
  aTimer = [NSTimer scheduledTimerWithTimeInterval: 1
		    target: self
		    selector: @selector(_blink)
		    userInfo: nil
		    repeats: YES];

  return self;
}

- (void) drawRect: (NSRect)rect
{
  
  if (shouldDrawRectangle)
    {
      [[NSColor whiteColor] set];
      
      NSRectFill( NSMakeRect(50,50,50,50) );
    }
  else
    {
      [[NSColor blackColor] set];
      
      NSRectFill( NSMakeRect(50,50,50,50) );
    }
}

- (void) _blink
{
  NSLog(@"blink!");

  if (shouldDrawRectangle)
    {
      shouldDrawRectangle = NO;
    }
  else
    {
      shouldDrawRectangle = YES;
    }
  
  [super setNeedsDisplayInRect: NSMakeRect(0,0,400,400)];
  //[self drawRect: NSMakeRect(0,0,400,400)];
}

@end
