#import "Blink.h"
#import "BlinkView.h"

@implementation Blink

- (id) init
{  
  self = [super init];
  
  return self;
}

- (void) applicationWillFinishLaunching: (NSNotification *) not
{
  NSMenu *aMenu;

  aMenu = [[NSMenu alloc] init];

  [NSApp setMainMenu: aMenu];

  RELEASE(aMenu);
}

- (void) applicationDidFinishLaunching: (NSNotification *) not
{
  NSWindowController *aWindowController;
  NSWindow *aWindow;
  
  aWindow = [[NSWindow alloc] initWithContentRect: NSMakeRect(50,50,400,400)
			      styleMask: NSTitledWindowMask
			      backing: NSBackingStoreRetained
			      defer: YES];

  [aWindow setAcceptsMouseMovedEvents: NO];
  [[aWindow contentView] addSubview: [[BlinkView alloc] init]];

  aWindowController = [[NSWindowController alloc] initWithWindow: aWindow];

  [aWindowController showWindow: self];
}

- (void) dealloc
{
  [super dealloc];
}

- (void) drawRect: (NSRect)rect
{

}

@end


int main(int argc, const char *argv[], char *env[])
{
  Blink *blink;

  CREATE_AUTORELEASE_POOL(pool);
  
  blink = [[Blink alloc] init];

  [NSApplication sharedApplication];
  [NSApp setDelegate: blink];

  NSApplicationMain(argc, argv);

  RELEASE(blink);

  RELEASE(pool);
  return 0;
}
